Page MenuHomePhabricator

There is no license in topic pages of flow discussions
Closed, ResolvedPublic

Description

Every Wikipedia page should have the link to the license of its content in an appropriate place. However, flow pages in the Topic namespace lack a license. For example [[:ca:Tema:U5rfnr0igmb9zhgc]].

Please notice that flow-enabled discussion pages do have a license link, and message edition flow pages also have a license. The issue just affects Topic namespace - that is, pages where you can see just one topic.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2018, 11:17 PM

GPLv2 or later, isn't that?

Trizek-WMF added subscribers: Catrope, Trizek-WMF.

GPLv2 or later, isn't that?

That's the text on MediaWiki:Wikimedia-copyright:

Text is available under the Creative Commons Attribution-ShareAlike License; additional terms may apply. See Terms of Use for details.

@Catrope, this is quite important. Can we solve that soon?

Change 405046 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Flow@master] Add copyright footer to all pages that need it

https://gerrit.wikimedia.org/r/405046

Change 405046 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add copyright footer to all pages that need it

https://gerrit.wikimedia.org/r/405046

Checked the fix in betalabs - the copyright footer is added to SD board, topic, and post pages.

Etonkovidova closed this task as Resolved.Jan 20 2018, 1:35 AM

Change 407500 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Flow@master] Revert "Add copyright footer to all pages that need it"

https://gerrit.wikimedia.org/r/407500

Change 407500 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Revert "Add copyright footer to all pages that need it"

https://gerrit.wikimedia.org/r/407500

SBisson reopened this task as Open.Feb 2 2018, 11:21 AM
SBisson added a subscriber: SBisson.

The patch was reverted.

if ( $out->isArticle() && $title->exists() ) {
    ...
    $tpl->set( 'copyright', $this->getCopyright() );
}

I think we should introduce a new method $out->showsCopyright(), that defaults to isArticle, but is overridden in Flow.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 5 2018, 5:56 PM
Catrope moved this task from Inbox to Upcoming Work on the Growth-Team board.Jul 5 2018, 5:56 PM
kostajh moved this task from To Triage to FY 2019-20 on the Growth-Team board.Sep 18 2018, 7:13 PM
kostajh added a subscriber: kostajh.

@Trizek-WMF says it's still important, so let's figure it out in Q2.

Change 464147 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] Show copyright based on $output->hasCopyright()

https://gerrit.wikimedia.org/r/464147

Change 464148 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Flow@master] Show copyright on Flow pages with user-generated content

https://gerrit.wikimedia.org/r/464148

Change 464147 merged by jenkins-bot:
[mediawiki/core@master] Show copyright based on $output->hasCopyright()

https://gerrit.wikimedia.org/r/464147

Change 464148 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Show copyright on Flow pages with user-generated content

https://gerrit.wikimedia.org/r/464148

Etonkovidova closed this task as Resolved.Oct 4 2018, 12:33 AM

@Trizek-WMF please take a look if everything is in place - the screenshot below is from betalabs and the message displayed is from https://translatewiki.net/w/i.php?title=Special:Translations&message=MediaWiki%3AWikimedia-copyright (the specific reference was mentioned in your comment).

vs current production: